Subject: [BEHAVE] TURN dissector [was Re: Goals for the proposed conf call on TURN encapsulations]

From: Marc Petit-Huguenin <[email-masked]>
Date: Sat, 07 Jun 2008 10:20:50 -0700

Marc Petit-Huguenin wrote:
> Philip Matthews wrote:
>> First of all, thanks for having a mailing list discussion on all this.  
>> I am following the mailing list closely, and will make sure that any  
>> comments made on the list are carefully considered when deciding what  
>> to do with TURN.
>>
>> Regarding finishing TURN. Indeed, TURN has been very unstable for a  
>> long time, so it has not been a very good candidate for stable trial  
>> implementations. 
> 
> How a protocol can be proposed as a standard track RFC without
> implementations is a mystery for me.  I know that it is mandatory to
> have independent implementations only when a standard is promoted to
> Draft Standard, but as nobody seems to worry to promote standards
> anymore, I think that the burden of the two implementations should be
> moved to the Proposed Standard.
> 
> Anyway even if everybody seems to have given up on TURN implementations,
> I did not.  On request I can provide an access to our TURN servers
> (turn-05 and rfc3489bis-15 currently, working on upgrading to turn-07).
>  I can also provide a WIP patch for Wireshark.

We now have a complete dissector for TURN-07 which also dissects RTP,
RTCP, STUN, SIP and TFTP inside the channels and SEND/DATA indications.
 Send me a direct email if you are interested of testing it.

Thanks.

-- 
Marc Petit-Huguenin           [                                 ]
Home: [email-masked] [RFC1855-compliant space for rent ]
Work: [email-masked]            [                                 ]
[ 1d3de5282a3f2775d3110560129c1ca5                              ]
_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave